#include<fstream>
#include<string>
using namespace std;
int main()
{
	ifstream f1("BAI3_18.INP");
	ofstream f2("BAI3_18.OUT");
	int k;
	f1>>k;
	string s;
	f1>>s;
	int i;
	int n=s.length();
	for(i=n-k;i<n;i++)
	{
		f2<<s[i];
	}
	for(i=0;i<n-k;i++)
	{
		f2<<s[i];
	}
	f1.close();
	f2.close();
	return 0;
}
